gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.UnicodeFuncsT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype UnicodeFuncsT = UnicodeFuncsT (ManagedPtr UnicodeFuncsT)

# Exported types

newtype UnicodeFuncsT Source #

Memory-managed wrapper type.

Constructors

UnicodeFuncsT (ManagedPtr UnicodeFuncsT) |

#### Instances

Instances details

Eq UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods (==) :: UnicodeFuncsT -> UnicodeFuncsT -> Bool # (/=) :: UnicodeFuncsT -> UnicodeFuncsT -> Bool #
GBoxed UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT
TypedObject UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods glibType :: IO GType Source #
ManagedPtrNewtype UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods toManagedPtr :: UnicodeFuncsT -> ManagedPtr UnicodeFuncsT Source #
IsGValue UnicodeFuncsT Source # | Convert `UnicodeFuncsT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT Methods toGValue :: UnicodeFuncsT -> IO GValue Source # fromGValue :: GValue -> IO UnicodeFuncsT Source #
HasParentTypes UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT
type ParentTypes UnicodeFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UnicodeFuncsT type ParentTypes UnicodeFuncsT = '[] :: [Type]

# Methods

## Overloaded methods